    PROGRAM a00acfe

!      A00ACF Example Program Text

!      Mark 23 Release. NAG Copyright 2011.

!      .. Use Statements ..
       USE nag_library, ONLY : a00acf
!      .. Implicit None Statement ..
       IMPLICIT NONE
!      .. Parameters ..
       INTEGER, PARAMETER              :: nout = 6
!      .. Local Scalars ..
       LOGICAL                         :: lmok
!      .. Executable Statements ..
       WRITE (nout,*) 'A00ACF Example Program Results'

       WRITE (nout,*)

       lmok = a00acf()

       IF (lmok) THEN
          WRITE (nout,*) 'A valid licence key is available'
       ELSE
          WRITE (nout,*) 'No valid licence key was found'
       END IF

    END PROGRAM a00acfe
